post
/api/v2/monitors/{id}/runRun a monitor with the local safe monitor runner.
Run a monitor with the local safe monitor runner.
Requires bearer API key
Parameters
X-Project-Id
header
Required for organization-wide API keys on project-scoped endpoints. Project-scoped keys infer the project automatically.
Schema: string
id
path / required
No description provided.
Schema: string
Responses
202
Monitor run accepted.
application/json{
"type": "object",
"additionalProperties": true,
"properties": {
"runId": {
"type": "string"
},
"monitorId": {
"type": "string"
},
"projectId": {
"type": "string"
},
"status": {
"type": "string"
},
"createdResponses": {
"type": "integer"
},
"createdCitations": {
"type": "integer"
},
"createdBrandMentions": {
"type": "integer"
},
"createdAnalyses": {
"type": "integer"
},
"deterministic": {
"type": "boolean"
},
"postRunCascade": {
"type": "object",
"additionalProperties": true,
"properties": {
"status": {
"type": "string",
"enum": [
"completed",
"failed",
"skipped"
]
},
"reason": {
"type": "string"
},
"contentGap": {
"type": "object",
"additionalProperties": false,
"properties": {
"analyzed": {
"type": "integer"
}
},
"required": [
"analyzed"
]
},
"answerGap": {
"type": "object",
"additionalProperties": false,
"properties": {
"analyzed": {
"type": "integer"
}
},
"required": [
"analyzed"
]
},
"actions": {
"type": "object",
"additionalProperties": false,
"properties": {
"evaluated": {
"type": "integer"
},
"created": {
"type": "integer"
},
"skipped": {
"type": "integer"
},
"createdTitles": {
"type": "array",
"items": {
"type": "string"
}
},
"skippedTitles": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"evaluated",
"created",
"skipped"
]
}
},
"required": [
"status",
"contentGap",
"actions"
]
}
},
"required": [
"runId",
"monitorId",
"projectId",
"status"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.